Skip to main content
`Ctrl`+`K`

# PetscPartitionerSetFromOptions

sets parameters in a `PetscPartitioner` from the options database

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerSetFromOptions(PetscPartitioner part)

Collective

## Input Parameter

- part - the `PetscPartitioner` object to set options for

## Options Database Keys

- -petscpartitioner_type - Sets the `PetscPartitioner` type; use -help for a list of available types

- -petscpartitioner_use_vertex_weights - Uses weights associated with the graph vertices

- -petscpartitioner_view_graph - View the graph each time PetscPartitionerPartition is called. Viewer can be customized, see `PetscOptionsGetViewer()`

## See Also

`PetscPartitionerView()`, `PetscPartitionerSetType()`, `PetscPartitionerPartition()`

## Level

developer

## Location

src/dm/partitioner/interface/partitioner.c

## Examples

src/ts/tutorials/ex30.c

## Implementations

PetscPartitionerSetFromOptions_MatPartitioning() in src/dm/partitioner/impls/matpart/partmatpart.c
PetscPartitionerSetFromOptions_ParMetis() in src/dm/partitioner/impls/parmetis/partparmetis.c
PetscPartitionerSetFromOptions_PTScotch() in src/dm/partitioner/impls/ptscotch/partptscotch.c
PetscPartitionerSetFromOptions_Shell() in src/dm/partitioner/impls/shell/partshell.c
PetscPartitionerSetFromOptions_Simple() in src/dm/partitioner/impls/simple/partsimple.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages